{% extends "base.html" %}

{% block links %}
{{ super() }}
{% endblock %}

{% block title %}
Liste des problèmes
{% endblock %}

{% block header %}
{% include  "sub_templates/header.html" %}
{% endblock %}

{% block main %}
<h1 class="text-2xl font-semibold mb-4 text-center w-fit mx-auto flex">Liste des problèmes signalés</h1>
<input type="hidden" id="search">
<div class="flex flex-col ml-auto w-fit mb-5">
  <div id="orders" class="flex whitespace-nowrap gap-2">
    <button onclick="order(this)" value="2"
      class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-2">
      Date de signalement</button>
    <button onclick="order(this)" value="3"
      class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-2">
      Résolution des problèmes
    </button>
  </div>
</div>

<table class="w-full rounded-lg overflow-hidden border border-collapse">
  <tr class="bg-gray-50 text-gray-900 text-sm">
    <th class="bg-[#ececec] font-semibold px-2.5 py-2 text-left overflow-hidden">Titre</th>
    <th class="bg-[#ececec] font-semibold px-2.5 py-2 text-left overflow-hidden">Description</th>
    <th class="bg-[#ececec] font-semibold px-2.5 py-2 text-left overflow-hidden">Lien</th>
    <th class="bg-[#ececec] font-semibold px-2.5 py-2 text-left overflow-hidden">Date</th>
    <th class="bg-[#ececec] font-semibold px-2.5 py-2 text-left overflow-hidden">Signalé par</th>
    <th class="bg-[#ececec] font-semibold px-2.5 py-2 text-left overflow-hidden">Etat</th>
    <th class="bg-[#ececec] font-semibold px-2.5 py-2 text-left overflow-hidden">Action</th>
  </tr>
  {% for problem in problems %}
  <tr class="bg-gray-50 text-gray-900 text-sm
  {% if problem.is_solved %} bg-green-300 {% else %}
  bg-red-500 {% endif %}">
    <td name="1" class="px-2.5 py-2 overflow-hidden">{{ problem.titre }}</td>
    <td class="px-2.5 py-2 overflow-hidden">{{ problem.description }}</td>
    <td class="px-2.5 py-2 overflow-hidden"><a href="{{ problem.link }}">{{ problem.link }}</td>
    <td name="2" class="px-2.5 py-2 overflow-hidden">{{ problem.created }}</td>
    <td class="px-2.5 py-2 overflow-hidden">{{ problem.reporter.first_name }} {{ problem.reporter.last_name }}</td>
    <td name="3" class="px-2.5 py-2 overflow-hidden">{% if problem.is_solved %} Résolu {% else %} Non résolu {% endif %}
    </td>
    <td class="px-2.5 py-2 overflow-hidden"><a href="{{ url_for('problem', id=problem.id) }}">
        <button
          class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-1.5 w-fit h-fit">
          Voir plus de détails
        </button>
    </td>
  </tr>
  {% endfor %}
</table>

{% endblock %}

{% block footer %}
{% include  "sub_templates/footer.html" %}
{% endblock footer%}

{% block script %}
{{ super() }}
{% endblock %}